Flash player updated

Raffy reported recently some difficulty with the Flash player -- I don't recall the details, but for myself there has been an ongoing problem with SeaMonkey freezing while playing a Flash animation.

This problem with freezing has been around for a long time. It is easy to repeat -- go to youtube.com and while a video is playing close the tab -- SeaMonkey hangs. The video has to first be stopped, then the tab can be closed.

However, there are times when a flash animation is playing in a web page and there is no stop button, and then when the tab is closed then SM hangs.

Then today I was reading a news item that the Adobe Flash player has security weaknesses and Adobe have recently (April 2008) released a fix.

Dingo 4.00beta has version 9.0.48.0, and I have now upgraded to the very latest, 9.0.124.0. Oh, I do cringe everytime I update the Flash player -- in this case the size goes from 6876KB to 7926KB.

Well, that will probably add about 0.3MB onto the live-CD, but there's no alternative.

Anyway, the latest version works fine. I haven't been able to crash SeaMonkey.

Posted on 11 Apr 2008, 24:45


Comments:

Posted on 12 Apr 2008, 6:50 by Leon
Flash player 9.0.48.0 seems to work better then the new one
I tried Flash player 9.0.48.0 and 9.0.124.0 in Dingo 4.00beta, frugal install, fresh pup_save pup_save.2fs file, using SeaMonkey 1.1.8, Firefox 2.0.0.11, Firefox 3 beta 5.

Flash player 9.0.48.0 that comes with Dingo 4.00beta
- It works without any problem with all browsers.
- All browsers play a video from YouTube in fullscreen mode.
- None of the browsers freezes after closing the tab when video is playing in it.

Flash player 9.0.124.0
- NONE of the browsers can play a video from YouTube in fullscreen mode.
- None of the browsers freezes after closing the tab when video is playing in it.

I'll keep Flash player 9.0.48.0.


Posted on 12 Apr 2008, 8:31 by raffy
glibc2.4
The recent (re)mention of the Flash problem is with the Gentoo puplet (simplux), which was fixed by uodating glibc to 2.4 (this was the usual fix).

In my case, since I use 2.13 which uses glibc2.35, I keep the mid-2007 flash version (9.0.48, mentioned above). Perhaps this is a good advice for people having trouble with Flash.

BTW, nice tiny blog, Barry. :)


Posted on 12 Apr 2008, 9:40 by BarryK
Conflicting experiences with Flash
Hmmm, yes, as usual, we get conflicting experiences with the difference Flash players. I haven't tested full-screen yet.


Posted on 12 Apr 2008, 13:05 by Sage
Opera?
How does the total inventory compare with the Opera alternative?!